#pragma once

#include <osgTerrain/GeometryTechnique>
#include <osg/Image>


namespace osgTerrain {

class myTerrainTechnique : public osgTerrain::GeometryTechnique
{
public:
	myTerrainTechnique(void);

	/** Copy constructor using CopyOp to manage deep vs shallow copy.*/
    myTerrainTechnique(const GeometryTechnique&,const osg::CopyOp& copyop=osg::CopyOp::SHALLOW_COPY);

	META_Object(osgTerrain, myTerrainTechnique);

	~myTerrainTechnique(void);

	virtual void init(int dirtyMask, bool assumeMultiThreaded);

	void ConvertImage(osg::ref_ptr<osg::Image> a_toImage, osg::ref_ptr<osg::Image> a_fromImage, GLenum a_pixelFormat, GLenum a_dataType);
};

}